Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80428 - gnome-vfs crashes on this image (was evolution-mail crashes when creating mail with attachments)
Summary: gnome-vfs crashes on this image (was evolution-mail crashes when creating mai...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-vfs
Version: phoebe
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-26 06:05 UTC by louisgtwo
Modified: 2008-05-01 15:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-21 02:54:58 UTC


Attachments (Terms of Use)
evolution-mail seg-faults when trying to attach this image (deleted)
2002-12-30 04:37 UTC, louisgtwo
no flags Details

Description louisgtwo 2002-12-26 06:05:41 UTC
When I want to send email with a .jpg attachment the mail component crashes as
soon as I add the attachment. I'm not sure if it's only photo attachments or any
attachment.

Comment 1 Jeremy Katz 2002-12-29 08:52:52 UTC
Works for me with a test jpeg...  could you attach the jpeg you're having
problems with?  Also, the backtrace you get from installing bug-buddy would also
be helpful.

Comment 2 louisgtwo 2002-12-30 04:26:33 UTC
Backtrace was generated from '/usr/bin/evolution-mail'

(no debugging symbols found)...0x403b1c0c in waitpid ()
   from /lib/i686/libpthread.so.0
#0  0x403b1c0c in waitpid () from /lib/i686/libpthread.so.0
#1  0x40b36e2f in gnome_segv_handle () from /usr/lib/libgnomeui.so.32
#2  0x080c2529 in segv_redirect ()
#3  <signal handler called>
#4  0x40369110 in read_num_val () from /usr/lib/libgnomevfs.so.0
#5  0x40369713 in gnome_vfs_mime_magic_parse () from /usr/lib/libgnomevfs.so.0
#6  0x40369d42 in gnome_vfs_mime_get_magic_table ()
   from /usr/lib/libgnomevfs.so.0
#7  0x40369d84 in gnome_vfs_mime_get_type_from_magic_table ()
   from /usr/lib/libgnomevfs.so.0
#8  0x4036b85f in gnome_vfs_get_mime_type_internal ()
   from /usr/lib/libgnomevfs.so.0
#9  0x4036bb43 in gnome_vfs_get_file_mime_type ()
   from /usr/lib/libgnomevfs.so.0
#10 0x41b2e49c in get_mime_type () from /usr/lib/vfs/modules/libfile.so
#11 0x41b2e991 in do_get_file_info () from /usr/lib/vfs/modules/libfile.so
#12 0x4035ce5c in gnome_vfs_get_file_info_uri_cancellable ()
   from /usr/lib/libgnomevfs.so.0
#13 0x4036db55 in gnome_vfs_get_file_info_uri () from /usr/lib/libgnomevfs.so.0
#14 0x4036db06 in gnome_vfs_get_file_info () from /usr/lib/libgnomevfs.so.0
#15 0x080dc0c8 in e_msg_composer_guess_mime_type ()
#16 0x080e5b48 in e_msg_composer_attachment_new ()
#17 0x080e403b in add_from_file ()
#18 0x080e49f5 in add_from_user ()
#19 0x080d4de1 in menu_file_add_attachment_cb ()
#20 0x4030f0d9 in impl_Bonobo_UIComponent_execVerb ()
   from /usr/lib/libbonobox.so.2
#21 0x402a4b81 in Bonobo_UIComponent_execVerb () from /usr/lib/libbonobo.so.2
#22 0x40316b59 in real_exec_verb () from /usr/lib/libbonobox.so.2
#23 0x40316d13 in impl_emit_verb_on () from /usr/lib/libbonobox.so.2
#24 0x40dcc410 in gtk_marshal_NONE__POINTER () from /usr/lib/libgtk-1.2.so.0
#25 0x40e08160 in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#26 0x40e055fe in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#27 0x40319534 in bonobo_ui_engine_emit_verb_on_w ()
   from /usr/lib/libbonobox.so.2
#28 0x40321427 in exec_verb_cb () from /usr/lib/libbonobox.so.2
#29 0x40dcc5b6 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#30 0x40e09105 in gtk_handlers_run () from /usr/lib/libgtk-1.2.so.0
#31 0x40e0811b in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#32 0x40e055fe in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#33 0x40328d90 in bonobo_ui_toolbar_item_activate ()
   from /usr/lib/libbonobox.so.2
#34 0x40323389 in button_widget_clicked_cb () from /usr/lib/libbonobox.so.2
#35 0x40dcc5b6 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#36 0x40e09105 in gtk_handlers_run () from /usr/lib/libgtk-1.2.so.0
#37 0x40e0811b in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#38 0x40e055fe in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#39 0x40d51dae in gtk_button_clicked () from /usr/lib/libgtk-1.2.so.0
#40 0x40d53a8b in gtk_real_button_released () from /usr/lib/libgtk-1.2.so.0
#41 0x40dcc5b6 in gtk_marshal_NONE__NONE () from /usr/lib/libgtk-1.2.so.0
#42 0x40e0802e in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#43 0x40e055fe in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#44 0x40d51c9e in gtk_button_released () from /usr/lib/libgtk-1.2.so.0
#45 0x40d53121 in gtk_button_button_release () from /usr/lib/libgtk-1.2.so.0
#46 0x40dcc1e6 in gtk_marshal_BOOL__POINTER () from /usr/lib/libgtk-1.2.so.0
#47 0x40e08160 in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#48 0x40e055fe in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#49 0x40e4b4d6 in gtk_widget_event () from /usr/lib/libgtk-1.2.so.0
#50 0x40dcbfef in gtk_propagate_event () from /usr/lib/libgtk-1.2.so.0
#51 0x40dcad34 in gtk_main_do_event () from /usr/lib/libgtk-1.2.so.0
#52 0x40e953a5 in gdk_event_dispatch () from /usr/lib/libgdk-1.2.so.0
#53 0x40ec994e in g_main_dispatch () from /usr/lib/libglib-1.2.so.0
#54 0x40ec9e29 in g_main_iterate () from /usr/lib/libglib-1.2.so.0
#55 0x40eca0c4 in g_main_run () from /usr/lib/libglib-1.2.so.0
#56 0x40dca7bf in gtk_main () from /usr/lib/libgtk-1.2.so.0
#57 0x402c8f9e in bonobo_main () from /usr/lib/libbonobo.so.2
#58 0x080c26fa in main ()
#59 0x42015970 in __libc_start_main () from /lib/i686/libc.so.6


Comment 3 louisgtwo 2002-12-30 04:37:21 UTC
Created attachment 88982 [details]
evolution-mail seg-faults when trying to attach this image

I believe this is an evolution or gdk-pixbuf bug, it happens with any image.
This didn't happen in 8.0

Comment 4 Jeremy Katz 2003-01-04 00:27:51 UTC
Works for me with that image in Phoebe.  But from the traceback, it looks like a
gnome-vfs bug, so reassigning there.

Comment 5 louisgtwo 2003-01-08 23:30:53 UTC
Could this be due to me upgrading mozilla to head for gtk2 support? I have
recompiled gnome-vfs but this still exists. It would be ashame if a gnome
library depended on some version of mozilla.

Comment 6 Havoc Pennington 2003-01-14 21:37:15 UTC
No mozilla is not involved.



Comment 7 louisgtwo 2003-01-21 02:54:58 UTC
This seems to be fixed in phoebe2. I have no problem attaching pixs now


Note You need to log in before you can comment on or make changes to this bug.